> For the complete documentation index, see [llms.txt](https://docs.cuoral.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cuoral.com/api-reference/customers/company/list-companies.md).

# List Companies

GET /external/v1/external/v1/customers/companies

List companies with pagination, filtering, and search capabilities.

Parameters (Query)

| **Name**    | **Type** | **Description**                    | **Default**   | **Constraints / Values**                            |
| ----------- | -------- | ---------------------------------- | ------------- | --------------------------------------------------- |
| page        | integer  | Page number for pagination.        | 1             | Minimum: 1                                          |
| page\_size  | integer  | Items per page.                    | 20            | Minimum: 1, Maximum: 100                            |
| search      | string   | Search in name, email, or website. | null          |                                                     |
| status      | string   | Filter by company status.          | null          | active, prospect, on\_hold, churned, lead, inactive |
| industry    | string   | Filter by industry.                | null          |                                                     |
| sort\_by    | string   | Field to sort by.                  | time\_created |                                                     |
| sort\_order | string   | Sort order.                        | desc          | asc, desc                                           |

Successful Response (200)

```json
{
  "data": [
    {
      "company_name": "string",
      "company_email": "user@example.com",
      "company_status": "active",
      "description": "string",
      "industry": "string",
      "website": "string",
      "phone": "string",
      "address": "string",
      "id": 0,
      "company_id": "string",
      "time_created": "2025-11-27T09:46:28.066Z",
      "time_updated": "2025-11-27T09:46:28.066Z",
      "organization_id": 0
    }
  ],
  "total": 0,
  "page": 0,
  "page_size": 0,
  "total_pages": 0,
  "has_next": true,
  "has_previous": true
}
```

Validation Error (422)

JSON

```json
{
  "detail": [
    {
      "loc": [
        "string",
        0
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}
```
